Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class TransactionStats.Active

    java.lang.Object
      com.sleepycat.db.TransactionStats.Active

Enclosing class:
  TransactionStats

    public static class TransactionStats.Active

extends Object

Method Summary
`byte[]` | `getGId()`
`LogSequenceNumber` | `getLsn()` TODO
`int` | `getMultiversionRef()` TODO
`String` | `getName()` TODO
`int` | `getParentId()` TODO
`int` | `getPid()` TODO
`LogSequenceNumber` | `getReadLsn()` TODO
`int` | `getStatus()` TODO
`int` | `getTxnId()` TODO
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTxnId

    public int getTxnId()

  TODO

### getParentId

    public int getParentId()

  TODO

### getPid

    public int getPid()

  TODO

### getLsn

    public LogSequenceNumber getLsn()

  TODO

### getReadLsn

    public LogSequenceNumber getReadLsn()

  TODO

### getMultiversionRef

    public int getMultiversionRef()

  TODO

### getStatus

    public int getStatus()

  TODO

### getGId

    public byte[] getGId()

### getName

    public String getName()

  TODO

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.